Bug 659099 - [abrt] nautilus-actions-2.30.3-1.fc14: __strlen_sse2_bsf: Process /usr/bin/nautilus-actions-new was killed by signal 11 (SIGSEGV)
Summary: [abrt] nautilus-actions-2.30.3-1.fc14: __strlen_sse2_bsf: Process /usr/bin/na...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus-actions
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:75b690e590c1428c86f782b49de...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 22:16 UTC by Richard Schwarting
Modified: 2011-01-20 19:55 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-20 19:55:53 UTC


Attachments (Terms of Use)
File: backtrace (7.86 KB, text/plain)
2010-12-01 22:16 UTC, Richard Schwarting
no flags Details
.schema file generated by nautilus-actions (1.58 KB, text/xml)
2010-12-01 22:20 UTC, Richard Schwarting
no flags Details

Description Richard Schwarting 2010-12-01 22:16:25 UTC
abrt version: 1.1.14
architecture: i686
Attached file: backtrace
cmdline: nautilus-actions-new --scheme=action-c73ec442-8a52-4d41-82cb-bf300bc3683c.xml '--label=install as empathy theme'
comment: This was exported using nautilus-actions newest recommended format.
component: nautilus-actions
crash_function: __strlen_sse2_bsf
executable: /usr/bin/nautilus-actions-new
kernel: 2.6.35.6-48.fc14.i686.PAE
package: nautilus-actions-2.30.3-1.fc14
rating: 4
reason: Process /usr/bin/nautilus-actions-new was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1291241609
uid: 500

How to reproduce
-----
1. I used nautilus-actions to create an action
2. I exported it
3. I removed the entry in nautilus-actions
4. I tried to add it back, using nautilus-actions-new (testing installation of it)
5. it crashed

Comment 1 Richard Schwarting 2010-12-01 22:16:27 UTC
Created attachment 464117 [details]
File: backtrace

Comment 2 Richard Schwarting 2010-12-01 22:20:51 UTC
Created attachment 464120 [details]
.schema file generated by nautilus-actions

Here is the one nautilus-actions generated that later resulted in nautilus-actions-new crashing.

Comment 3 Richard Schwarting 2010-12-01 22:31:04 UTC
Program received signal SIGSEGV, Segmentation fault.
0x007db056 in __strlen_sse2_bsf () from /lib/libc.so.6
(gdb) bt
#0  0x007db056 in __strlen_sse2_bsf () from /lib/libc.so.6
#1  0x00950f1c in g_strdup (str=0x69746361 <Address 0x69746361 out of bounds>) at gstrfuncs.c:101
#2  0x08049dba in get_action_from_cmdline (argc=1, argv=0xbffff274) at nautilus-actions-new.c:430
#3  main (argc=1, argv=0xbffff274) at nautilus-actions-new.c:231

Comment 4 Richard Schwarting 2010-12-01 22:40:44 UTC
Program received signal SIGSEGV, Segmentation fault.
0x007db056 in __strlen_sse2_bsf () from /lib/libc.so.6
(gdb) bt
#0  0x007db056 in __strlen_sse2_bsf () from /lib/libc.so.6
#1  0x00950f1c in g_strdup (str=0x69746361 <Address 0x69746361 out of bounds>) at gstrfuncs.c:101
#2  0x08049dba in get_action_from_cmdline (argc=1, argv=0xbffff274) at nautilus-actions-new.c:430
#3  main (argc=1, argv=0xbffff274) at nautilus-actions-new.c:231

Strangely, in main, it calls get_action_from_cmdline() without parametres, and I can't break on it in gdb.
main():
action = get_action_from_cmdline();

Anyway, in get_action_from_cmdline(), schemes_array is out of bounds, but it uses it anyway.  Uh oh.

Comment 5 Fedora Update System 2011-01-11 01:22:43 UTC
nautilus-actions-3.0.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nautilus-actions-3.0.6-1.fc14

Comment 6 Fedora Update System 2011-01-12 05:26:45 UTC
nautilus-actions-3.0.6-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nautilus-actions'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/nautilus-actions-3.0.6-1.fc14

Comment 7 Fedora Update System 2011-01-20 19:55:42 UTC
nautilus-actions-3.0.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.